package com.sd.mq.entity;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;

@Getter
@Setter
public class OrderSkuDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 包材配置集合
     */
    private String packagingSet;

    /**
     * 设计图
     */
    private String blueprint;

    /**
     * 设计图详情 json格式
     */
    private String blueprintDetails;

    /**
     * 生产文件
     */
    private String productionDocument;

    /**
     * 打样图
     */
    private String proofingImg;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 打印 1单面 2 双面
     */
    private Integer printType;
}
